Skip to main content

Class AccountValidationAPIRequest


Properties

NAMETYPEREQUIREDDESCRIPTION
Resource/account/{version}/institutions/{rtnnumber}/environments/{envname}/products/paycenter/networks/rtp/account-validation
Request MethodHTTP POST
Response formatJSON
Content Typeapplication/jsonYesSpecify this as a "Content-Type" header property
AuthorizationBearer access_tokenYesSpecify this as a "Authorization" header property and pass OAuth 2.0 access token

Path parameters

ParameterTYPEREQUIREDDescription
rtnnumberstringYesRouting Number
envnameStringYesDenotes environment name where the API referred.

Possible values
  • SANDBOX
  • PROD

Fields

ParameterTYPEREQUIREDDescription
AccountNumberstringYesAccount number to be validated

AccountNumber
AccountTypestringYesThe type of account.

Enum Values: Checking, Savings

AccountType

Request body : JSON representation

{
"AccountNumber": string,
"AccountType": string
}

Sample Request 1:

POST /account/v1/institutions/075911742/environments/sandbox/products/paycenter/networks/rtp/account-validation HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer Op8dNG95eDBKa1B.........Yzh5M1ZyZnNlNEs5rfuI
Content-Type: application/json

Sample Request 2:

POST /account/v1/institutions/111025466/environments/sandbox/products/paycenter/networks/rtp/account-validation HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer Op8dNG95eDBKa1B.........Yzh5M1ZyZnNlNEs5rfuI
Content-Type: application/json

Sample Request Body 1

{
"AccountNumber": "000201911121",
"AccountType": "Checking"
}

Sample Request Body 2

{
"AccountNumber": "201990001",
"AccountType": "Savings"
}